<?php

	## ######################################## ##
	##  Filebrowser, index.php					##
	## ---------------------------------------- ##
	##  Auteur	: 	Marc Hollander				##
	##  Contact	: 	marchollander@gmail.com		##
	##  Marc Hollander, (c) Copyright 2007		##
	## ######################################## ##

	## Vul hier het pad in naar de map die je wilt weergeven.
	## Bijvoorbeeld: 
	## ./ 								(voor de map waar het bestand in staat)
	## /map/naar/het/volledige/path/ 	(volledige pad op je online webspace)
	## C:/map/naar/het/volledige/path/ 	(volledige pad op je harddisk)
	## Hoofdletter gevoelig en MET / (slash) aan het einde.
	$path = './EigenScripts/';
	
	if ( !isset ( $_GET [ 'path' ] ) )
	
		$_GET [ 'path' ] = '';
		
	$_GET [ 'path' ] = str_replace ( '.', '', $_GET [ 'path' ] );
	
	$_GET [ 'path' ] = ( !empty ( $_GET [ 'path' ] ) && !ereg ( '/$', $_GET [ 'path' ] ) ) ? $_GET [ 'path' ] . '/' : $_GET [ 'path' ];

	try {
	
		$dir  = new DirectoryIterator ( $path . $_GET [ 'path' ] );
	
		$Files = array ( );
		
		foreach ( $dir as $file ) {
		
			if ( $file -> isDir ( ) && $file -> getFilename ( ) != '.' && $file -> getFilename ( ) != '..' ) {
			
				$Files [ 'dir' ] [ $file -> getFilename ( ) ] [ 'Name' ] 	= $file -> getFilename ( );
				$Files [ 'dir' ] [ $file -> getFilename ( ) ] [ 'Files' ] 	= sizeof ( glob ( $path . $_GET [ 'path' ] . $file -> getFilename ( ) . '/*' ) );
				$Files [ 'dir' ] [ $file -> getFilename ( ) ] [ 'MTime' ] 	= $file -> getMTime ( );
			
			}
			
			if ( $file -> isFile ( ) ) {
			
				$Files [ 'file' ] [ $file -> getFilename ( ) ] [ 'Name' ] 	= $file -> getFilename ( );
				$Files [ 'file' ] [ $file -> getFilename ( ) ] [ 'Size' ] 	= $file -> getSize ( );
				$Files [ 'file' ] [ $file -> getFilename ( ) ] [ 'MTime' ] 	= $file -> getMTime ( );
			
			}
							
		}
		
?> 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

	<head>
	
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		
		<title>StreetAngel's Filebrowser v2.1 - Path: <?php echo $path . $_GET [ 'path' ]; ?></title>
		
		<style type="text/css" media="all">
		
			body {
				margin: 0;
				padding: 20px;
				font-family: Verdana;
				font-size: 12px;
				color: #000;
			}
			
			h1 {
				margin-left: 15px;
				font-size: 22px;
			}
			
			a {
				color: #000;
				text-decoration: none;
			}
			
			a:hover {
				text-decoration: underline;
			}
			
			table.Browser {
				margin: 0 auto;
				width: 100%;
				border: 1px solid #ccc;
			}
			
			table.Browser tr.TitleBar {
				background: #dadada;
			}
		
			table.Browser tr.bgColor1 {
				background: #efefef;
			}
		
			table.Browser tr.bgColor2 {
				background: #fff;
			}
		
			table.Browser tr.bgColorMouseOver {
				background: #e2e2e2;
			}
		
			table.Browser tr th {
				text-align: left;
			}
		
			table.Browser tr th.Image {
				width: 20px;
			}
			
			div#CopyrightName {
				padding: 4px;
				float: left;
			}
		
			div#Copyright {
				padding: 4px;
				float: right;
			}
		
		</style>
	
	</head>
	
	<body>
	
		<h1>Path: <?php echo $path . $_GET [ 'path' ]; ?></h1>

		<table cellpadding="5" cellspacing="0" class="Browser">
		
			<tr class="TitleBar">
			
				<th class="Image">&nbsp;</th>
				<th>Bestand</th>
				<th>Grootte</th>
				<th>Laatst bewerkt</th>
			
			</tr>
	
<?php 

		$i = 0;
		
		if ( !empty ( $_GET [ 'path' ] ) ) {
	
			$Dir = explode ( '/', $_GET [ 'path' ] );
			$Total = count ( $Dir );
			
			$PrevDir = ( $Total > 2 ) ? '?path=' : '';
							
			for ( $q = 0; $q < $Total - 2; $q++ )
			
				$PrevDir .= $Dir [ $q ] . '/';
				
?>
			<tr class="bgColor2" onmouseover="this.className='bgColorMouseOver';" onmouseout="this.className='bgColor2';">
			
				<td><img src="FileBrowserImage.php?extension=folderup" alt="folder" /></td>
				<td><a href="<?php echo $_SERVER [ 'PHP_SELF' ] . $PrevDir; ?>">Map terug</a></td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			
			</tr>
	
<?php
			$i++;

		}

		if ( isset ( $Files [ 'dir' ] ) && sizeof ( $Files [ 'dir' ] ) > 0 ) {
	
			$Files [ 'dir' ] = array_change_key_case ( $Files [ 'dir' ], CASE_LOWER );
		
			ksort ( $Files [ 'dir' ] );
		
			foreach ( $Files [ 'dir' ] as $dirName ) {
			
				$class = $i % 2 ? 'bgColor1' : 'bgColor2';
	
?>
			<tr class="<?php echo $class; ?>" onmouseover="this.className='bgColorMouseOver';" onmouseout="this.className='<?php echo $class; ?>';">
			
				<td><img src="FileBrowserImage.php?extension=folder" alt="folder" /></td>
				<td><a href="<?php echo $_SERVER [ 'PHP_SELF' ] . '?path=' . $_GET [ 'path' ] . $dirName [ 'Name' ] . '/'; ?>"><?php echo $dirName [ 'Name' ]; ?></a></td>
				<td><?php echo ( $dirName [ 'Files' ] == 1 ) ? '1 bestand' : $dirName [ 'Files' ] . ' bestanden'; ?></td>
				<td><?php echo date ( 'd/m/Y H:i', $dirName [ 'MTime' ] ); ?></td>
			
			</tr>
	
<?php

				$i++;
			
			}
		
		}
		
	

		if ( isset ( $Files [ 'file' ] ) && sizeof ( $Files [ 'file' ] ) > 0 ) {
	
			$Files [ 'file' ] = array_change_key_case ( $Files [ 'file' ], CASE_LOWER );
		
			ksort ( $Files [ 'file' ] );
	
			foreach ( $Files [ 'file' ] as $fileName ) {
			
				$class = $i % 2 ? 'bgColor1' : 'bgColor2';
		
				$extension = end ( explode ( '.', $fileName [ 'Name' ] ) );

?>
			<tr class="<?php echo $class; ?>" onmouseover="this.className='bgColorMouseOver';" onmouseout="this.className='<?php echo $class; ?>';">
			
				<td><img src="FileBrowserImage.php?extension=<?php echo $extension; ?>" alt="<?php echo $extension; ?>" /></td>
				<td><a href="<?php echo $_GET [ 'path' ] . $fileName [ 'Name' ]; ?>"><?php echo $fileName [ 'Name' ]; ?></a></td>
				<td><?php echo round ( $fileName [ 'Size' ] / 1024 ); ?> kb</td>
				<td><?php echo date ( 'd/m/Y H:i', $fileName [ 'MTime' ] ); ?></td>
			
			</tr>
	
<?php
	
				$i++;
			
			}
			
		}
		
?>
		</table>
		
		<div id="CopyrightName">Filebrowser v2.1</div><div id="Copyright">Copyright <a href="http://www.streetangel.nl/" target="_blank">StreetAngel.nl</a></div>

	</body>

</html>
<?php

	}
	
	catch ( Exception $ex ) {
	
		echo '<h2>Error !!</h2>' . nl2br ( $ex );
 	
	}

?>
